org.keycloak.models

## Class OAuth2DeviceUserCodeModel

- java.lang.Object
- - org.keycloak.models.OAuth2DeviceUserCodeModel

-     public class OAuth2DeviceUserCodeModel
      extends Object

  Author:
    Hiroyuki Wada

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuth2DeviceUserCodeModel(RealmModel realm, String deviceCode, String userCode)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `createKey(RealmModel realm, String userCode)`
    `static OAuth2DeviceUserCodeModel` | `fromCache(RealmModel realm, String userCode, Map<String,String> data)`
    `String` | `getDeviceCode()`
    `String` | `getUserCode()`
    `String` | `serializeKey()`
    `Map<String,String>` | `serializeValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OAuth2DeviceUserCodeModel

          public OAuth2DeviceUserCodeModel(RealmModel realm,
                                           String deviceCode,
                                           String userCode)

  - ### Method Detail

    - #### fromCache

          public static OAuth2DeviceUserCodeModel fromCache(RealmModel realm,
                                                            String userCode,
                                                            Map<String,String> data)

    - #### getDeviceCode

          public String getDeviceCode()

    - #### getUserCode

          public String getUserCode()

    - #### createKey

          public static String createKey(RealmModel realm,
                                         String userCode)

    - #### serializeKey

          public String serializeKey()

    - #### serializeValue

          public Map<String,String> serializeValue()

Copyright © 2021 JBoss by Red Hat. All rights reserved.